Bug 13452 - gnome-software rpm, possibly missing dependencies (appstream ?)
Summary: gnome-software rpm, possibly missing dependencies (appstream ?)
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal major
Target Milestone: Mageia 6
Assignee: GNOME maintainers
QA Contact:
URL:
Whiteboard:
Keywords: Triaged
Depends on: 18669
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-30 12:39 CEST by nikos papadopoulos
Modified: 2017-07-10 21:40 CEST (History)
4 users (show)

See Also:
Source RPM: gnome-software-3.22.0-2.mga6.src.rpm
CVE:
Status comment: New package available with requires on gnome-packagekit, flatpak.


Attachments
terminal aoutput of "gnome-software" (788 bytes, text/plain)
2014-05-30 12:42 CEST, nikos papadopoulos
Details
terminal aoutput of "gnome-software -v" (6.31 KB, text/plain)
2014-05-30 12:43 CEST, nikos papadopoulos
Details
interface (35.35 KB, image/jpeg)
2014-05-30 12:45 CEST, nikos papadopoulos
Details
Screenshot of GNOME Software showing AppStream information (Lugaru HD) (478.60 KB, image/png)
2017-07-09 01:53 CEST, Neal Gompa
Details

Description nikos papadopoulos 2014-05-30 12:39:56 CEST
Description of problem:
Out of curiosity, I installed the gnome-software rpm,
but the interface doesn't, really, show anything.
(see attachment)

I don't have gnome 3 installed, so I guess that the package is missing some dependencies.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Don't install Gnome3
2. Just install gnome-software
3. In terminal, run "gnome-software"
 

Reproducible: 

Steps to Reproduce:
Comment 1 nikos papadopoulos 2014-05-30 12:42:46 CEST
Created attachment 5180 [details]
terminal aoutput of "gnome-software"
Comment 2 nikos papadopoulos 2014-05-30 12:43:48 CEST
Created attachment 5181 [details]
terminal aoutput of "gnome-software -v"
Comment 3 nikos papadopoulos 2014-05-30 12:45:09 CEST
Created attachment 5182 [details]
interface
Comment 4 Manuel Hiebel 2014-05-31 10:29:30 CEST
looks like some packages about appstream where imported in cauldron, don't know if it could be related

Keywords: (none) => Triaged
Assignee: bugsquad => olav
Summary: gnome-software rpm, possibly missing dependencies => gnome-software rpm, possibly missing dependencies (appstream ?)

Comment 5 Olav Vitters 2014-07-29 02:57:05 CEST
GNOME Software requires an appstream. Ideally integrated with the buildsystem. I've created a complete appstream on my personal machine. When starting up GNOME Software the urpmi packagekit backend hangs with 100% CPU. I've asked for assistance upstream, but not sure I'll get it (GNOME Software developer will not be able to assist with packagekit).

I'll guess I'll first have to upload/package the appstream I currently have as to ensure people can assist.

Note: They suggested Mageia looks into using hawkey as a dependency solver. Such a change might be pretty invasive and take a long time though.
Olav Vitters 2015-06-23 20:32:51 CEST

Target Milestone: --- => Mageia 6

Comment 6 Samuel Verschelde 2015-09-21 13:18:21 CEST
Mageia 4 changed to end-of-life (EOL) status on 2015-09-19. It is is no longer 
maintained, which means that it will not receive any further security or bug 
fix updates.

Package Maintainer: If you wish for this bug to remain open because you plan to 
fix it in a currently maintained version, simply change the 'version' to a later 
Mageia version.

Bug Reporter: Thank you for reporting this issue and we are sorry that we weren't 
able to fix it before Mageia 4's end of life. If you are able to reproduce it 
against a later version of Mageia, you are encouraged to click on "Version" and 
change it against that version of Mageia. If it's valid in several versions, 
select the highest and add MGAxTOO in whiteboard for each other valid release.
Example: it's valid in cauldron and Mageia 5, set to cauldron and add MGA5TOO.

Although we aim to fix as many bugs as possible during every release's lifetime, 
sometimes those efforts are overtaken by events. Often a more recent Mageia 
release includes newer upstream software that fixes bugs or makes them obsolete.

If you would like to help fixing bugs in the future, don't hesitate to join the
packager team via our mentoring program [1] or join the teams that fit you 
most [2].

[1] https://wiki.mageia.org/en/Becoming_a_Mageia_Packager
[2] http://www.mageia.org/contribute/
Olav Vitters 2015-10-08 10:08:35 CEST

Version: 4 => 5

Comment 7 Samuel Poette 2016-04-14 18:44:38 CEST
I didn't have "app folder" to group my software in my software list in gnome.

So I have to install gnome-software, but it is totally blank, and does not work, and I cannot create my folders.
There is only 2 folders "Sundry" and "utilities" and I cannot change or create my own folders

CC: (none) => sam

Aurélien Murith 2016-04-14 22:50:25 CEST

Status: NEW => REOPENED
Assignee: olav => bugsquad
Hardware: x86_64 => All
CC: (none) => aurelienmurith

Comment 8 Samuel Verschelde 2016-10-10 23:19:58 CEST
Might be fixed now, can someone confirm? (Olav, Neal...)

CC: (none) => ngompa13
Assignee: bugsquad => gnome

Samuel Verschelde 2016-10-10 23:20:06 CEST

Version: 5 => Cauldron

Aurélien Murith 2016-10-10 23:32:11 CEST

CC: aurelienmurith => (none)

Comment 9 Neal Gompa 2016-10-11 01:37:16 CEST
This issue remains present until bug 18669 is resolved. Fortunately, once it is, PackageKit frontends using AppStream will automatically start pulling the data and this will fix itself.

Source RPM: gnome-software-3.10.4-1.mga4.src.rpm => gnome-software-3.22.0-2.mga6.src.rpm
Depends on: (none) => 18669

Comment 10 Neal Gompa 2017-06-19 00:03:47 CEST
(In reply to Olav Vitters from comment #5)
> 
> Note: They suggested Mageia looks into using hawkey as a dependency solver.
> Such a change might be pretty invasive and take a long time though.
>

For reference, this is exactly what we did for Mageia 6. We switched to the Dnf backend (formerly known as the Hif backend, and further formerly known as the Hawkey backend).

With this, AppStream repodata support is now integrated into PackageKit, and now I am just waiting for bug 18669 to be resolved to actually provide the metadata.
Comment 11 Neal Gompa 2017-07-09 01:53:04 CEST
Created attachment 9475 [details]
Screenshot of GNOME Software showing AppStream information (Lugaru HD)

Thanks to Thomas Backlund from the sysadmin team, we now have AppStream repodata published for Mageia 6 and Cauldron.

I've verified that GNOME Software is now able to get AppStream information for installable and installed software.

I've attached a screenshot as proof.
Comment 12 Chris B 2017-07-09 12:37:57 CEST
Testing Gnome Software on a default M6 64b Xfce only system (live mode and installed system). Thus, no gnome installed.
* packagekit is already installed.
* installing 'gnome-software' works, you can start it, but it lacks the main features
* installing gnome-packagekit (which is not a dependency), solves this.

You need to run it once, then logout and -in again. And it works nicely. I've tested installing, removing, starting an app, searching an app, update. I don't understand what the 'Software Sources' is supposed to do, it's just an empty window.

On xfce it's a memory hog, ~ 110-130 MB, but nowadays many people use Xfce because they prefer this DE also on recent hardware. So, it would be nice if the dependency issue could be solved. Could one of the gnome packagers take care of it?
It affects gnome-software-3.24.3-1.mga6

CC: (none) => shybluenight

Olav Vitters 2017-07-10 21:40:48 CEST

CC: (none) => olav
Status comment: (none) => New package available with requires on gnome-packagekit, flatpak.


Note You need to log in before you can comment on or make changes to this bug.